FASTA_REGEX(1)

NAME
fasta_regex.pl - Find sequence motifs in a (multi) Fasta file

SYNOPSIS
fasta_regex.pl [--motif REGEX] [--fa FILE] [--name STRING] [--bed] [options]

DESCRIPTION
This script extracts sequence motifs, provided as regular expressionm from Fasta files.

The tool returns all motifs matching the search criteria as a (mutli-)Fasta file to STDOUT. This means if the motif is found more than once within an annotated feature, all matches will be reported. Optionally, all loci matching the regular expresion pattern are reorted as BED6 intervals.

OPTIONS

fa|f
    Reference genome in Fasta format

motif|m
    The motif to search for as regular expression.

bed Switch for printing BED6 intervals of matching motif loci.

name|n
    Optional name for BED6 intervals.

AUTHOR
Michael T. Wolfinger <michael@wolfinger.eu>